Appearance
Project
Projects group assignments under a project number, e.g. the jobs of one building site. The number is unique within the company.
OpenAPI Spec
List Projects
GET
/v2/projects
List Projects
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Query Parameters
page
Type
number
Minimum
0Default
0size
Type
number
Minimum
1Maximum
20Default
10uuid
number
externalId
createdAt
updatedAt
Responses
List response
application/json
JSON "page": 0, "pages": 0, "size": 10, "items": [ { "uuid": "string", "number": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string" } ]
{
}
Create a new Project
POST
/v2/projects
Create a new Project
Authorizations
apiKey
Type
HTTP (bearer)
Request Body
application/json
JSON "uuid": "string", "number": "string", "externalId": null
{
}
Responses
Project found
application/json
JSON "uuid": "string", "number": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string"
{
}
Get a Project
GET
/v2/projects/{projectUuid}
Get a Project by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
projectUuid*
Type
Requiredstring
Format
"uuid"Responses
Project found
application/json
JSON "uuid": "string", "number": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string"
{
}
Delete a Project
Update a Project
PATCH
/v2/projects/{projectUuid}
Update a Project by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
projectUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "number": "string", "externalId": "string"
{
}
Responses
Project found
application/json
JSON "uuid": "string", "number": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string"
{
}